com.trendmicro.ds.appcontrol.rest.object

## Class DescribeApplicationControlPolicyResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.DescribeApplicationControlPolicyResponse

-     public class DescribeApplicationControlPolicyResponse
      extends java.lang.Object

  Response object for the DescribeApplicationControlPolicy API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeApplicationControlPolicyResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppControlPolicyParameters` | `getAppControlPolicyParameters()` Get the application control policy parameters for the policy.
    `void` | `setAppControlPolicyParameters(AppControlPolicyParameters appControlPolicyParameters)` Set the application control policy parameters for the policy.
    `DescribeApplicationControlPolicyResponse` | `withAppControlPolicyParameters(AppControlPolicyParameters appControlPolicyParameters)` Set the application control policy parameters for the policy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescribeApplicationControlPolicyResponse

          public DescribeApplicationControlPolicyResponse()

  - ### Method Detail

    - #### getAppControlPolicyParameters

          public AppControlPolicyParameters getAppControlPolicyParameters()

      Get the application control policy parameters for the policy.
      Returns:
        the application control policy parameters for the policy.

    - #### setAppControlPolicyParameters

          public void setAppControlPolicyParameters(AppControlPolicyParameters appControlPolicyParameters)

      Set the application control policy parameters for the policy.
      Parameters:
        `appControlPolicyParameters` - the application control policy parameters for the policy.

    - #### withAppControlPolicyParameters

          public DescribeApplicationControlPolicyResponse withAppControlPolicyParameters(AppControlPolicyParameters appControlPolicyParameters)

      Set the application control policy parameters for the policy.
      Parameters:
        `appControlPolicyParameters` - the application control policy parameters for the policy.
      Returns:
        the updated DescribeApplicationControlPolicyResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.